summaryrefslogtreecommitdiff
path: root/plugins/fig/fig.plugin.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/fig/fig.plugin.zsh')
-rw-r--r--plugins/fig/fig.plugin.zsh13
1 files changed, 13 insertions, 0 deletions
diff --git a/plugins/fig/fig.plugin.zsh b/plugins/fig/fig.plugin.zsh
new file mode 100644
index 000000000..cddb6c7c0
--- /dev/null
+++ b/plugins/fig/fig.plugin.zsh
@@ -0,0 +1,13 @@
+if ! (( $+commands[fig] )); then
+ return
+fi
+
+# If the completion file doesn't exist yet, we need to autoload it and
+# bind it to `fig`. Otherwise, compinit will have already done that
+if [[ ! -f "$ZSH_CACHE_DIR/completions/_fig" ]]; then
+ autoload -Uz _fig
+ typeset -g -A _comps
+ _comps[fig]=_fig
+fi
+
+fig completion zsh >| "$ZSH_CACHE_DIR/completions/_fig" &|